// SPDX-FileCopyrightText: 2024 KylinSoft Co., Ltd.
//
// SPDX-License-Identifier: GPL-1.0-or-later

#include "ukuiblur.h"

namespace QtWaylandClient
{

UkuiBlurManager::UkuiBlurManager(wl_registry *registry, uint32_t id, int version)
    : ukui_blur_manager_v1(registry, id, version)
{
}

UkuiBlurManager::~UkuiBlurManager()
{
    destroy();
}

UkuiBlur *UkuiBlurManager::getUkuiBlur(wl_surface *surface)
{
    return new UkuiBlur(get_blur(surface));
}

UkuiBlur::UkuiBlur(::ukui_blur_surface_v1 *ukui_blur)
    : ukui_blur_surface_v1(ukui_blur)
{
}

UkuiBlur::~UkuiBlur()
{
    destroy();
}

} // namespace QtWaylandClient